import { world, system } from "@minecraft/server";
import { config } from "./config";

export class until {

    // プレイヤーのカラーを返す
    static getcolor(player){
        let inteams = [];
        for(const color in config.colors){
            if(player.hasTag(color)) inteams.push(color);
        };
        if(inteams.length === 0) return undefined;
        return inteams;
    };

    // プレイヤーの名前に色を付ける
    static setName(player){
        if (config.load) {
            if (!this.getcolor(player)) return player.nameTag = player.name;
            const color = this.getcolor(player)[0];
            if (!config.setting.nameTagColor.all && !config.setting.nameTagColor.prefix && !config.setting.nameTagColor.none) return world.setDynamicProperty("namecolor_all",true);
            if (config.setting.nameTagColor.all) return player.nameTag = `§${config.colors[color]}` + player.name;
            if (config.setting.nameTagColor.prefix) {
                let prefix = [];
                for (const color of this.getcolor(player)) {
                    prefix.push(`§${config.colors[color]}` + config.setting.nameprefix);
                };
                player.nameTag = prefix.join("") + "§f" + player.name;
                return;
            };
            if (config.setting.nameTagColor.none) return player.nameTag = player.name;
        };
    };
};